Bug 1380854 - "Indepedent selinux policy" project (internal) documentation
Summary: "Indepedent selinux policy" project (internal) documentation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1393066
Blocks: 1377248 1465824
TreeView+ depends on / blocked
 
Reported: 2016-09-30 19:25 UTC by Lukas Vrabec
Modified: 2018-08-01 04:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1465824 (view as bug list)
Environment:
Last Closed: 2017-08-01 15:15:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1861 0 normal SHIPPED_LIVE selinux-policy bug fix update 2017-08-01 17:50:24 UTC

Comment 1 Lukas Vrabec 2017-03-13 15:50:22 UTC
Documentation part: 
https://mojo.redhat.com/docs/DOC-1131234 

Technical backround will be part of selinux-policy-3.13.1-128.el7 build. 
http://pkgs.devel.redhat.com/cgit/rpms/selinux-policy/commit/?h=rhel-7.4&id=1eeb9228fae08aa89899ceb0a858adb2d8c9e54c

In next days Kbase article will be created.

Comment 2 Milos Malik 2017-03-14 14:25:31 UTC
Looking into /usr/lib/rpm/macros.d/macros.selinux-policy file, which belongs to selinux-policy-3.13.1-129.el7.noarch package, following discrepancies were found:

* both echo and /bin/echo are used, is it intentional?
* %selinux_modules_uninstall macro is able to take [-s <policytype>] as parameter, but the value of <policytype> is ignored, because semodule is executed without appropriate -s parameter

Comment 4 Milos Malik 2017-06-28 06:52:05 UTC
Problems described in comment#2 still hold.

Comment 5 Milos Malik 2017-06-28 09:56:16 UTC
The problems described in comment#2 are filed separately as BZ#1465824 and will be handled in RHEL-7.5.

Comment 7 errata-xmlrpc 2017-08-01 15:15:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1861


Note You need to log in before you can comment on or make changes to this bug.